import request from '@/utils/request'

// 新增工器具
export function addFinishApply(data) {
  return request({
    url: '/project/contEntryExit/addFinishApply',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  })
}

/**
 * 查询承包商入场审批列表
 * @param query
 * @returns {AxiosPromise}
 */
export function getConsEnterList(query) {
  return request({
    url: '/project/contEntryExit/listContEntry',
    method: 'get',
    params: query
  })
}

/**
 * 承包商开工申请
 * @param data
 * @returns {AxiosPromise}
 */
export function addConsStartWorkApply(data) {
  return request({
    url: '/project/contEntryExit/addConsStartWorkApply',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  })
}
